#
# spec file for package gpa (Version 0.4.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gettext glib glib-devel gpg gtk gtk-devel xdevel xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpg gpm gppshare grep groff gtk gtk-devel gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xshared

Name:         gpa
Version:      0.4.2
Release:      31
Copyright:    GPL
Group:        Utilities/Security
Provides:     gpa
Autoreqprov:  on
Summary:      GNU Privacy Assistant
Source:		ftp://ftp.gnupg.de/pub/gcrypt/alpha/gpa/gpa-%{version}.tar.gz
Source1:	gpa-%{version}.tar.gz.sig
#Patch:		gpa.diff
Patch2:		gpa-%{version}-gcc3.diff
URL:		http://www.gnupg.org/
Prefix:         /usr
BuildRoot:	/var/tmp/%{name}-buildroot

%description
Gnu Privacy Assistant (GPA) is a graphical user interface for
Gnu Privacy Guard (GPG) and allows displaying of keyrings,
manipulation of keys, checking signatures and signing, de- and
encrypting files.

Authors:
--------
    Markus Gerwinski <markus.gerwinski@sercon.de>
    Peter Gerwinski <markus.gerwinski@sercon.de>
    Werner Koch <werner.koch@guug.de>

SuSE series: sec

%prep
%setup 
#%patch
%patch2 -p1
chown 0.0 -R *

%build
CFLAGS=$RPM_OPT_FLAGS ./configure  --enable-shared --with-gnu-ld --enable-static-rnd=linux \
	--prefix=/usr --mandir=%{_mandir} --infodir=%{_infodir} --sysconfdir=/etc --localstatedir=/var \
	%{_target_cpu}-suse-linux
#CFLAGS+=--with-capabilities
make
make check

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/gpa
#%{_mandir}/man1/gpa.1.gz
%doc NEWS COPYING README TODO THANKS AUTHORS
/usr/share/locale/*/LC_MESSAGES/gpa.mo
/usr/share/gpa

%clean
test ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/gpa-%{version}

%changelog -n gpa
* Tue Sep 11 2001 - garloff@suse.de
- Fix gcc3 fixes :-(
* Mon Sep 10 2001 - garloff@suse.de
- Update to gpa-0.4.2.
  * Many fixes
  * Supports GnuPG-1.0.5+ output format
- Include messages and share dir.
- gcc3 fixes (needed on axp)
* Wed Aug 08 2001 - cihlar@suse.cz
- fixed to compile on axp
* Wed Jun 13 2001 - pblaha@suse.cz
- fix compilation and #needforbuild
- fix prefix into /usr/X11R6/
- bziped source
* Wed Oct 25 2000 - garloff@suse.de
- Initial creation of package gpa-0.3.1.
